Subject: Re: bug#29189: 25.3; Dired does not work with binary filenames

From: Allen Li <[email-masked]>
Date: Fri, 10 Nov 2017 22:59:56 -0800

On Wed, Nov 8, 2017 at 12:44 AM, Eli Zaretskii <[email-masked]> wrote:
> I don't understand why -b should be used at all.  In my testing, it
> wasn't needed.  Maybe this depends on the locale?  What's yours?

en_US.UTF-8

Without -b, the filename in Dired is two binary characters, \300 and
\265.  With -b, the filename in Dired is four characters, \265

I'm using Emacs 25.3.1 and ls (GNU coreutils) 8.28

It sounds like Andreas is seeing the same behavior as me.  What
behavior are you seeing when deleting the file with -b vs no -b?